标签归档:Gradle

Gradle引入net.sf.json失败的处理方法

最近使用Gradle引入net.sf.json-lib时,发现根本下载不了,如下所示:

compile(
    'net.sf.json-lib:json-lib:2.4'
)

经了解,有些jar包区分jdk版本,发现此jar包需要加版本号(其他类似的jar包也需要这样处理),故正确的引入方式如下:

compile(
    'net.sf.json-lib:json-lib:2.4:jdk15'
)

另外使用maven引入此jar包时,pom.xml中要加上classi[……]

阅读全文»